# CinePlex: Your Plex on Steroids 🚀

## 🤔 So, What the Heck Is This?

Let's be real. You love your Plex server. It's your own little corner of the digital universe, packed with your movies, shows, and music. But... don't you ever feel like the interface could be... *more*? A little more ✨ **pizzazz** ✨?

Well, **CinePlex** is the answer. It's like you bought your Plex a superhero cape and sent it to a futuristic spa. It's a modern, fast, and slick-looking interface that sits on top of your Plex servers to give you a visually stunning experience.

**In short:** CinePlex is not a streaming service. It's a radical new *look* for the content **you already own**. It's your personal media universe, but cooler.

---

## 🚨 A Quick Heads-Up: ¡Hablamos Español!

> Right now, the entire user interface is in **Spanish**.

I'm currently in the lab, tinkering away to integrate Chrome's `i18n` API to bring a full **English** translation to the party. It's a top priority! So please bear with the Spanish for now, an English version is coming soon.

---

## ✨ The Feature Loot Drop (What Makes It Awesome)

*   **🎬 Pimped-Out Interface:** Forget boring UIs. We use TheMovieDB's API to bring you high-res posters, backdrops, synopses, ratings, cast info... all the juicy movie gossip you crave.
*   **📡 Psychic Plex Scanner:** You give it your Plex tokens, and CinePlex goes into full detective mode. It scans your servers, figures out what you *actually* have, and jots it down in its secret notebook (a local IndexedDB database in your browser).
*   **✅ "Got It" Badge of Honor:** See a movie you want to watch? CinePlex will let you know if you already have it on your server with a neat "Local" badge. No more blind searching!
*   **🎶 Music Jukebox 2077:** It's not all about movies. We've built a full-fledged music player that connects directly to your Plex music library. Browse artists, listen to albums, and rock out with a **graphic equalizer and audio visualizer**!
*   **📊 The Nerd Stats Panel:** Ever wondered how many 80s movies you have? Or what your most common genre is? Dive into the statistics panel and get a full breakdown of your media library with fancy charts.
*   **🖼️ Your Personal Photo Gallery:** Connect to your Plex photo libraries and browse your albums and pictures with a beautiful, integrated lightbox viewer.
*   **📜 The Scroll of Power (M3U):** For the power users. Found that series you wanted to watch? Generate an `.m3u` file with all the episode links with a single click.
*   **🔥 Stream Straight to Your Server:** This is where it gets crazy. Configure a simple PHP script on your server, and you can send streams from CinePlex directly to your M3U playlist file with one click. We even give you a **PHP script generator** to make it foolproof!
*   **❤️ Favorites & Goldfish Memory:** Save your favorite movies and shows. Plus, we've got a "History" section so you can remember what you were watching last night before you fell asleep on the couch.
*   **🔧 Customization Tuning Shop:** Don't like the dark theme? Switch to light mode! Don't want the giant hero banner? Hide it! Add your own TMDB API key. You're the boss.
*   **💾 Data Hoarder's Dream:** Import and export your entire local CinePlex database. Move your settings and scanned data between computers with ease.

---

## 🛠️ Installation & First-Time Setup

Getting this beast up and running is easy. Just follow these steps.

### 1. Installing the Extension

Since this isn't on the Chrome Web Store, you'll have to load it as an "unpacked" extension.

1.  **Download this repository:** Click the green "Code" button and select "Download ZIP". Unzip the file somewhere you'll remember (like your `Documents` folder).
2.  **Open Chrome Extensions:** Open a new tab and go to `chrome://extensions`.
3.  **Enable Developer Mode:** Find the "Developer mode" toggle in the top-right corner and switch it **ON**.
4.  **Load the Extension:** You'll see some new buttons appear. Click on **"Load unpacked"**.
5.  **Select the Folder:** A file browser will open. Navigate to the folder where you unzipped the repository and select it.
6.  **Done!** You should now see the CinePlex card in your extensions list.

### 2. First-Time Setup (The Fun Part!)

When you first open CinePlex, it's a blank slate. It's like a cool new apartment, but you need to bring your furniture. Let's do that.

1.  **Find Your Plex Token:** This is the most important step. You need to get your `X-Plex-Token` to let CinePlex talk to your server. The easiest way is to follow the official Plex guide: [Finding an Authentication Token / X-Plex-Token](https://support.plex.tv/articles/204059436-finding-an-authentication-token-x-plex-token/).

2.  **Open CinePlex Settings:**
    *   Click the CinePlex icon in your browser's toolbar to open the application in a new tab.
    *   Click the **cogwheel icon (⚙️)** in the top-right corner to open the Settings modal.

3.  **Add Your Token:**
    *   Go to the **Plex** tab.
    *   You'll see a code editor. Paste your `X-Plex-Token` inside the square brackets `[]`. If you have more than one, separate them with commas. It should look like this:
        ```json
        {
            "tokens": [
                "YourPlexTokenGoesHere_abc123",
                "AnotherTokenIfYouHaveOne_def456"
            ]
        }
        ```
    *   Click the **"Guardar Tokens"** (Save Tokens) button.

4.  **Run Your First Scan:**
    *   Still in the Plex tab, check the boxes for the content you want to scan (e.g., Películas, Series).
    *   Click the big blue **"Iniciar Escaneo"** (Start Scan) button.
    *   A console will appear at the bottom of the main page, showing you the scanner's progress. Be patient, the first scan can take a few minutes if you have a large library.

5.  **Enjoy!** Once the scan is complete, the app will automatically refresh. Go back to the main view and start exploring your newly supercharged Plex interface!

---

## 💡 Pro-Tip: Setting Up the "Add Stream" Feature

Want to use the "Add Stream" button? It's awesome.

1.  In the CinePlex settings, go to the **"Generador PHP"** tab.
2.  Configure the options (like the filename) and click **"Generar Script"**.
3.  Copy the generated PHP code.
4.  Save that code as a `.php` file (e.g., `playlist.php`) and upload it to a web server you control.
5.  Go to the **"General"** tab in settings and paste the public URL to your new script in the **"URL del Servidor para Añadir Streams"** field.
6.  Save, and you're ready to add streams with a single click!